Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# tests partially enabled
# 'npm run lint' has as circular dependency problem
# depends on: jshint->htmlparser2->entities->jshint
%global enable_tests 1
%global srcname entities

Name:           nodejs-%{srcname}
Version:        1.1.1
Release:        alt1_9
Summary:        Encode & decode XML/HTML entities with ease
License:        BSD
URL:            https://github.com/fb55/node-entities
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js lib/ maps/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# lint disabled, depends on jshint
# mocha && npm run lint
mocha
%endif


%files
%doc readme.md LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_9
- new version

